FLAC: FLAC++/metadata.h: metadata level 0 interface

FLAC 1.4.3 Free Lossless Audio Codec

Modules | Functions
FLAC++/metadata.h: metadata level 0 interface
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

## Modules
| FLAC++/metadata.h: metadata level 1 interface

## Functions
bool | FLAC::Metadata::get_streaminfo (const char *filename, StreamInfo &streaminfo)
bool | FLAC::Metadata::get_tags (const char *filename, VorbisComment *&tags)
bool | FLAC::Metadata::get_tags (const char *filename, VorbisComment &tags)
bool | FLAC::Metadata::get_cuesheet (const char *filename, CueSheet *&cuesheet)
bool | FLAC::Metadata::get_cuesheet (const char *filename, CueSheet &cuesheet)
bool | FLAC::Metadata::get_picture (const char *filename, Picture *&picture, ::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, uint32_t max_width, uint32_t max_height, uint32_t max_depth, uint32_t max_colors)
bool | FLAC::Metadata::get_picture (const char *filename, Picture &picture, ::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, uint32_t max_width, uint32_t max_height, uint32_t max_depth, uint32_t max_colors)

## Detailed Description

Level 0 metadata iterators.

See the C layer equivalent for more.

## Function Documentation

## ◆ get_streaminfo()

bool FLAC::Metadata::get_streaminfo | ( | const char * | filename,
|  | StreamInfo & | streaminfo
| ) |  |

See FLAC__metadata_get_streaminfo().

## ◆ get_tags() [1/2]

bool FLAC::Metadata::get_tags | ( | const char * | filename,
|  | VorbisComment *& | tags
| ) |  |

See FLAC__metadata_get_tags().

## ◆ get_tags() [2/2]

bool FLAC::Metadata::get_tags | ( | const char * | filename,
|  | VorbisComment & | tags
| ) |  |

See FLAC__metadata_get_tags().

## ◆ get_cuesheet() [1/2]

bool FLAC::Metadata::get_cuesheet | ( | const char * | filename,
|  | CueSheet *& | cuesheet
| ) |  |

See FLAC__metadata_get_cuesheet().

## ◆ get_cuesheet() [2/2]

bool FLAC::Metadata::get_cuesheet | ( | const char * | filename,
|  | CueSheet & | cuesheet
| ) |  |

See FLAC__metadata_get_cuesheet().

## ◆ get_picture() [1/2]

bool FLAC::Metadata::get_picture | ( | const char * | filename,
|  | Picture *& | picture,
|  | ::FLAC__StreamMetadata_Picture_Type | type,
|  | const char * | mime_type,
|  | const FLAC__byte * | description,
|  | uint32_t | max_width,
|  | uint32_t | max_height,
|  | uint32_t | max_depth,
|  | uint32_t | max_colors
| ) |  |

See FLAC__metadata_get_picture().

## ◆ get_picture() [2/2]

bool FLAC::Metadata::get_picture | ( | const char * | filename,
|  | Picture & | picture,
|  | ::FLAC__StreamMetadata_Picture_Type | type,
|  | const char * | mime_type,
|  | const FLAC__byte * | description,
|  | uint32_t | max_width,
|  | uint32_t | max_height,
|  | uint32_t | max_depth,
|  | uint32_t | max_colors
| ) |  |

See FLAC__metadata_get_picture().

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation